package com.rjconsultores.ventaboletos.dao;

import com.rjconsultores.ventaboletos.entidad.OrgaoConcedente;
import com.rjconsultores.ventaboletos.entidad.SeguroTarifa;
import java.util.List;

public interface SeguroTarifaDAO extends GenericDAO<SeguroTarifa, Integer> {

    /**
     * Indica se existe seguroTarifa para o orgaoConcedenteId informado
     *
     * @param orgaoConcedenteId
     * @return
     */
    public boolean existe(Integer orgaoConcedenteId);

    public List<SeguroTarifa> buscarPorOrgao(OrgaoConcedente orgao);
}
