package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.PtovtaCatIndDAO;
import com.rjconsultores.ventaboletos.entidad.PtovtaCatInd;

@Repository("ptovtaCatIndDAO")
public class PtovtaCatIndHibernateDAO extends GenericHibernateDAO<PtovtaCatInd, Integer>
		implements PtovtaCatIndDAO {

	@Autowired
	public PtovtaCatIndHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

}
