package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.EmpresaCertificadoConfig;
import com.rjconsultores.ventaboletos.enums.EnumTipoCertificado;

public interface EmpresaCertificadoConfigDAO extends GenericDAO<EmpresaCertificadoConfig, Integer> {

	public List<EmpresaCertificadoConfig> obtenerTodos();
	
	public EmpresaCertificadoConfig buscarPorEmpresa(Empresa empresa, EnumTipoCertificado enumTipoCertificado);

}
