package com.rjconsultores.ventaboletos.dao;

import java.util.List;
import java.util.Optional;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.EmpresaCieloLinkConfig;

public interface EmpresaCieloLinkDAO extends GenericDAO<EmpresaCieloLinkConfig, Integer> {
	
	public List<EmpresaCieloLinkConfig> obtenerTodos();
	public Optional<EmpresaCieloLinkConfig> buscarPorEmpresa(Empresa empresa);
	
}
