package com.rjconsultores.ventaboletos.service;

import java.util.List;

import javax.mail.AuthenticationFailedException;
import javax.mail.SendFailedException;

import com.rjconsultores.ventaboletos.entidad.LogHistoricoContingencia;
import com.rjconsultores.ventaboletos.exception.BusinessException;

public interface ContingenciaService {

	public List<LogHistoricoContingencia> buscarHistorico(Integer empresaID, Integer estadoID);
	
	public LogHistoricoContingencia salvarHistoricoContingencia(LogHistoricoContingencia historicoCont) throws BusinessException, SendFailedException, AuthenticationFailedException;
}
