package com.rjconsultores.ventaboletos.service.impl;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.rjconsultores.ventaboletos.dao.CorridaDAO;
import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.Corrida;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.Ruta;

@Service("gp_GestaoPricingService")
public class GP_GestaoPricingService {
	
	@Autowired
	private CorridaDAO corridaDAO;
	
	public List<Corrida> buscarCorridas(Parada origem, Parada destino, Date dataInicio, Date dataFinal, ClaseServicio classe,
			Ruta linha, Empresa empresa) {		
		return corridaDAO.buscarCorridas(origem, destino, dataInicio, dataFinal, classe, linha, empresa);
	}

}
