package com.rjconsultores.ventaboletos.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.rjconsultores.ventaboletos.dao.PeajeDao;
import com.rjconsultores.ventaboletos.entidad.Peaje;
import com.rjconsultores.ventaboletos.service.PeajeService;

@Service("peajeService")
public class PeajeServiceImpl implements PeajeService{
	
	@Autowired
	private PeajeDao peajeDao;
	

	public Peaje buscarPeajePorId(Integer peajeId) {
		return peajeDao.obtenerID(peajeId);
	}
}
