package com.rjconsultores.ventaboletos.service.impl;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.rjconsultores.ventaboletos.dao.SisdapDAO;
import com.rjconsultores.ventaboletos.service.SisdapService;

@Service("sisdapService")
public class SisdapServiceImpl implements SisdapService{
	
	@Autowired
	private SisdapDAO sisdapDAO;

	@Override
	public List<String> getMovimentoLinhas(Date fecInicio, Date fecFinal, Integer empresaId) {
		return sisdapDAO.getMovimentoLinhas(fecInicio, fecFinal, empresaId);
	}

	@Override
	public List<String> getMovimentoSecoes(Date fecInicio, Date fecFinal, Integer empresaId, List<Object> pesquisaGratuidade, List<Object> pesquisaDescontoIdoso, List<Object> pesquisaGratuidadeIdoso, List<Object> pesquisaDescontoJovem, List<Object> pesquisaGratuidadeJovem) {
		return sisdapDAO.getMovimentoSecoes(fecInicio, fecFinal, empresaId, pesquisaGratuidade, pesquisaGratuidadeIdoso, pesquisaDescontoIdoso, pesquisaDescontoJovem, pesquisaGratuidadeJovem);
	}

	@Override
	public List<String> getMovimentoSecoes(Date fecInicio, Date fecFinal, Integer empresaId,
			List<Object> pesquisaGratuidade, List<Object> pesquisaDescontoIdoso, List<Object> pesquisaGratuidadeIdoso,
			List<Object> pesquisaDescontoJovem, List<Object> pesquisaGratuidadeJovem,
			List<Object> pesquisaGratuidadeProfessor, List<Object> pesquisaGratuidadeEstudante) {
		return sisdapDAO.getMovimentoSecoes(fecInicio, fecFinal, empresaId, pesquisaGratuidade, pesquisaGratuidadeIdoso, pesquisaDescontoIdoso, pesquisaDescontoJovem, pesquisaGratuidadeJovem, pesquisaGratuidadeProfessor, pesquisaGratuidadeEstudante);
	}

}
